{% extends 'base.html.twig' %}

{% block title %}ProfessionalExperience index{% endblock %}

{% block body %}
    <h1>ProfessionalExperience index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>JobTitle</th>
                <th>CompagnyName</th>
                <th>CompagnyWebSite</th>
                <th>Place</th>
                <th>StartDate</th>
                <th>EndDate</th>
                <th>Description</th>
                <th>Dimension</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for professional_experience in professional_experiences %}
            <tr>
                <td>{{ professional_experience.id }}</td>
                <td>{{ professional_experience.jobTitle }}</td>
                <td>{{ professional_experience.compagnyName }}</td>
                <td>{{ professional_experience.compagnyWebSite }}</td>
                <td>{{ professional_experience.place }}</td>
                <td>{{ professional_experience.startDate ? professional_experience.startDate|date('Y-m-d') : '' }}</td>
                <td>{{ professional_experience.endDate ? professional_experience.endDate|date('Y-m-d') : '' }}</td>
                <td>{{ professional_experience.description }}</td>
                <td>{{ professional_experience.dimension }}</td>
                <td>
                    <a href="{{ path('app_professional_experience_show', {'id': professional_experience.id}) }}">show</a>
                    <a href="{{ path('app_professional_experience_edit', {'id': professional_experience.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="10">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_professional_experience_new') }}">Create new</a>
{% endblock %}
